Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.tools.schemaframework
Class TableSequenceDefinition

`java.lang.Object
oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
oracle.toplink.tools.schemaframework.SequenceDefinition
oracle.toplink.tools.schemaframework.TableSequenceDefinition`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class TableSequenceDefinition
extends SequenceDefinition

Purpose: Allow a generic way of creating sequences on the different platforms, and allow optional parameters to be specified.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `sequenceCounterFieldName` Hold the name of the column in the sequence table which specifies the sequence numeric value
`java.lang.String` | `sequenceNameFieldName` Hold the name of the column in the sequence table which specifies the sequence name
`java.lang.String` | `sequenceTableName` Hold the name of the sequence table

Fields inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`name, qualifier`

Constructor Summary
`TableSequenceDefinition(java.lang.String name, java.lang.String sequenceTableName, java.lang.String sequenceNameFieldName, java.lang.String sequenceCounterFieldName)`
`TableSequenceDefinition(java.lang.String name, TableSequence sequence)`
`TableSequenceDefinition(TableSequence sequence)`

Method Summary
`boolean` | `checkIfExist(Session session)` INTERAL: Execute the SQL required to insert the sequence row into the sequence table.
`java.lang.String` | `getSequenceCounterFieldName()` PUBLIC:
`java.lang.String` | `getSequenceNameFieldName()` PUBLIC:
`java.lang.String` | `getSequenceTableName()` PUBLIC:
`void` | `setSequenceCounterFieldName(java.lang.String sequenceCounterFieldName)` PUBLIC:
`void` | `setSequenceNameFieldName(java.lang.String sequenceNameFieldName)` PUBLIC:
`void` | `setSequenceTableName(java.lang.String sequenceTableName)` PUBLIC:

Methods inherited from class oracle.toplink.tools.schemaframework.DatabaseObjectDefinition
`clone, getName, getQualifier, setName, setQualifier, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sequenceTableName

    public java.lang.String sequenceTableName

  Hold the name of the sequence table

### sequenceNameFieldName

    public java.lang.String sequenceNameFieldName

  Hold the name of the column in the sequence table which specifies the sequence name

### sequenceCounterFieldName

    public java.lang.String sequenceCounterFieldName

  Hold the name of the column in the sequence table which specifies the sequence numeric value

Constructor Detail

### TableSequenceDefinition

    public TableSequenceDefinition(java.lang.String name,
                                   java.lang.String sequenceTableName,
                                   java.lang.String sequenceNameFieldName,
                                   java.lang.String sequenceCounterFieldName)

### TableSequenceDefinition

    public TableSequenceDefinition(TableSequence sequence)

### TableSequenceDefinition

    public TableSequenceDefinition(java.lang.String name,
                                   TableSequence sequence)

Method Detail

### checkIfExist

    public boolean checkIfExist(Session session)
                         throws DatabaseException

  INTERAL: Execute the SQL required to insert the sequence row into the sequence table. Assume that the sequence table exists.
  Specified by:
    `checkIfExist` in class `SequenceDefinition`
  Throws:
    `DatabaseException`

### setSequenceTableName

    public void setSequenceTableName(java.lang.String sequenceTableName)

  PUBLIC:

### getSequenceTableName

    public java.lang.String getSequenceTableName()

  PUBLIC:

### setSequenceCounterFieldName

    public void setSequenceCounterFieldName(java.lang.String sequenceCounterFieldName)

  PUBLIC:

### getSequenceCounterFieldName

    public java.lang.String getSequenceCounterFieldName()

  PUBLIC:

### setSequenceNameFieldName

    public void setSequenceNameFieldName(java.lang.String sequenceNameFieldName)

  PUBLIC:

### getSequenceNameFieldName

    public java.lang.String getSequenceNameFieldName()

  PUBLIC:

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD